Vagrant.configure("2") do |config|
  config.vm.define "ansible" do |ansible|
    ansible.vm.box = "generic/ubuntu2004"
    ansible.vm.hostname = "ansible"
    ansible.vm.network "private_network", ip: "192.168.10.17"
	ansible.vm.provision "shell", inline: <<-SHELL
    sudo apt-get update
    sudo apt-get upgrade -y
	sudo apt-get install software-properties-common
	sudo apt-add-repository --yes --update ppa:ansible/ansible
	sudo apt-get install ansible --yes
	sudo apt update
	sudo apt install git
	cd /home/vagrant
	sudo git clone -b master https://gitlab.com/adrien.desdoits78610/devops
	echo "[dev]
	serveur1 ansible_host=192.168.10.16 ansible_user=root ansible_ssh_pass=root" > /etc/ansible/hosts
	ssh-keyscan -H 192.168.10.16 >> ~/.ssh/known_hosts
  SHELL
    config.vm.provider "vmware_desktop" do |v|
      v.gui = true
      v.linked_clone = false
      v.vmx["memsize"] = "1024"
      v.vmx["numvcpus"] = "2"
    end
  end

config.vm.define "flask" do |flask|
  flask.vm.box = "generic/ubuntu2004"
  flask.vm.hostname = "flask"
  flask.vm.network "private_network", ip: "192.168.10.16"
  flask.vm.provider "vmware_desktop" do |v|
    v.gui = true
    v.linked_clone = false
    v.vmx["memsize"] = "1024"
    v.vmx["numvcpus"] = "2"
  end
end
end